<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
echo "<br> Sistema lab. de solos - Módulo amostras";
        $sessao = new sessao();
		$senhaCli=$sessao->getVar('iduser');
		$idLabo=$sessao->getVar('idLabo');
        $nomeOperador=$sessao->getVar('nomeuser');
		echo(" Operador: $nomeOperador<br>");

switch ($tela):
    case 'loginx':
		break;
		
		
/////////////////////////////////////////	/////////////////RESULTADOS////////////////////////	/////////////////////////////////////////	
		case 'resultados':
		//captura o pacote
		$user = new pacotes(array(
				't1'=>$_POST['nome'],
				't1'=>$_POST['nome'],
				't2'=>$_POST['email'],
				't3'=>$_POST['email'],
				't4'=>$_POST['email'],
				't5'=>$_POST['email'],
				't6'=>$_POST['email'],
			));
		$id=1;	
		$user->valorpk = $id;
		$user->extras_select = "WHERE id=$id";
		$user->selecionaTudo($user);
		$res = $user->retornaDados();
		//echo ("voar de pacote t1= $res->t1  <br>"):
        




		//final da captura do pacote
		
		
		
		
		
		 $inicio=$_POST['inicio'];//captura a quantidade de amostras a serem registradas
		 $final=$_POST['final'];//captura a quantidade de amostras a serem registradas
        echo '<h2>Selecione um cliente.</h2>';
		$rabicho= "WHERE tta.id=tta and tta.id_labo=$idLabo  order by numero ";
         if (isset($_POST['intervalo'])):
    		$rabicho= "WHERE tta.id=tta and tta.id_labo=$idLabo && numero>=".$inicio."  && numero<=".$final." order by numero ";
         endif;
         if (isset($_POST['salvar'])):
            echo("esta em savarvvvvvvvvvv <br>");
			for($i=1;$i<=5;$i++)
			{
             //captura a id para gravar sempre na amostra certa
			 $cid="cid".$i;
    		 $vcid=$_POST[$cid];//captura a quantidade de amostras a serem registradas
             //captura todos 30 campos
             $cp1="cp1".$i;	 $vcp1=$_POST[$cp1];//captura a quantidade de amostras a serem registradas
             $cp2="cp2".$i;	 $vcp2=$_POST[$cp2];//captura a quantidade de amostras a serem registradas
             $cp3="cp3".$i;	 $vcp3=$_POST[$cp3];//captura a quantidade de amostras a serem registradas
             $cp4="cp4".$i;	 $vcp4=$_POST[$cp4];//captura a quantidade de amostras a serem registradas
             $cp5="cp5".$i;	 $vcp5=$_POST[$cp5];//captura a quantidade de amostras a serem registradas
             $cp6="cp6".$i;	 $vcp6=$_POST[$cp6];//captura a quantidade de amostras a serem registradas
             //echo("cp1= $cp1  cid= $cid <br>");


             //monta o array dos dadoa a atualizar. a esquerda os campos e a direita o conteudo 
             $user = new amostras(array(
             'p1'=>$vcp1,
             'p2'=>$vcp2,
             'p3'=>$vcp3,
             'p4'=>$vcp4,
             'p5'=>$vcp5,
             'p6'=>$vcp6,
              ));
			$user->valorpk = $vcid;
			$user->extras_select = "WHERE id=$vcid";
			$user->atualizar($user);

			}//final do for

         endif;


		 loadCSS('data-table',NULL,TRUE);
         loadJS('jquery-datatable');  
         $final=1205;		
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
		
		<form class="userform" method="post" action="">
                <fieldset>
                    <legend>Informe os dados para inclusão de amostras</legend>
                    <ul>
                        <li><label for="qtd">Amostras de:</label>
                        <input type="text" size="5" name="inicio" value="1000" />
                        até
                        <input type="text" size="5" name="final" value="<?php echo $final; ?>" />
						<input type="submit" name="intervalo" value="Intervalo ou Sequencia" />
						<input type="submit" name="pedido" value="Pedido de cliente" />
						<input type="submit" name="salvar" value="Salvar" />
						</li>
                    </ul>
                </fieldset>
		
        <table cellspacing="0" cellpadding="0" border="1" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Amostra</th><th>Entrada</th><th>phb</th><th>fos</th></th><th>pot</th><th>mag</th><th>xxx</th><th>yyy</th>
                </tr>
            </thead>
            <tbody>
                <?php 
				 //$user->extras_select = "WHERE id_labo=$idLabo order by numero "; isso aqui é lixo
		         //$user->selecionaCampos($user); isso é lixo
                 //isso é com 1 tabela   $user = new amostras();
				 //isso aqui é ccom uma tabela $user->extras_select = $rabicho ;
                 $user = new amostrasTTA();
				 $user->extras_select = $rabicho ;
                 //$user->selecionaTudo($user);
				 $user->selecionaCampos($user);
				 $linha=0;
                while ($res = $user->retornaDados()):
                    echo '<tr>';
				    $linha++;	
                    $cid="cid".$linha;  //o nome do campo será   cid1, cid2, e assim por diante
                    $cp1="cp1".$linha;  //o nome do campo ser cp1,cp2 e assim por diante um nome para cada linha
                    $cp2="cp2".$linha;  //o nome do campo ser cp1,cp2 e assim por diante um nome para cada linha
                    $cp3="cp3".$linha;  //o nome do campo ser cp1,cp2 e assim por diante um nome para cada linha
                    $cp4="cp4".$linha;  //o nome do campo ser cp1,cp2 e assim por diante um nome para cada linha
                    $cp5="cp5".$linha;  //o nome do campo ser cp1,cp2 e assim por diante um nome para cada linha
                    $cp6="cp6".$linha;  //o nome do campo ser cp1,cp2 e assim por diante um nome para cada linha
					?>
                    <td><input type="text" size="2" name="email" value="<?php echo $res->numero; ?>" />  </td>					
                    <td><input type="text" size="6" name="email" value="<?php echo $res->datacad;?>" />  </td>					
                    <td><input type="text" size="2" name="<?php echo $cp1; ?>" value="<?php echo $res->p1;       ?>" />  </td>					
                    <td><input type="text" size="2" name="<?php echo $cp2; ?>" value="<?php echo $res->p2;       ?>" />  </td>					
                    <td><input type="text" size="2" name="<?php echo $cp3; ?>" value="<?php echo $res->p3;       ?>" />  </td>					
                    <td><input type="text" size="2" name="<?php echo $cp4; ?>" value="<?php echo $res->p4;       ?>" />  </td>					
                    <td><input type="text" size="2" name="<?php echo $cp5; ?>" value="<?php echo $res->p5;       ?>" />  </td>					
                    <td><input type="text" size="2" name="<?php echo $cp6; ?>" value="<?php echo $res->p6;       ?>" />  </td>					
                    <td><input type="text" size="2" name="<?php echo $cid; ?>" value="<?php echo $res->id;       ?>" readonly="readonly" />  </td>					
					<?php
                    echo '</tr>';
                endwhile;                

	
                ?>
            </tbody>
        </table>
        </form>
        
        <?php        
    break;
	
		
		
/////////////////////////////////////////	//////////////FINAL//////////////	/////////////////////////////////////////	
    case 'incluirx':
        echo '<h2>Registro de amostras</h2>';
        if (isset($_POST['cadastrar'])):
            $user = new clientes(array(
                'nome'=>$_POST['nome'],
                'email'=>$_POST['email'],
                'login'=>$_POST['login'],
                'senha'=>codificaSenha($_POST['senha']),
                'administrador'=>($_POST['adm']=='on') ? 's' : 'n',
            ));
            if ($user->existeRegistro('login',$_POST['login'])):
                printMSG('Este login já está cadastrado, escolha outro nome de cliente.','erro');
                $duplicado = TRUE;
            endif;
            if ($user->existeRegistro('email',$_POST['email'])):
                printMSG('Este email já está cadastrado, escolha outro endereço.','erro');
                $duplicado = TRUE;
            endif;
            if ($duplicado!=TRUE):
                $user->inserir($user);
                if ($user->linhasafetadas==1):
                    printMSG('Dados inseridos com sucesso. <a href="'.ADMURL.'?m=clientes&t=listar">Exibir cadastros</a>');
                    unset($_POST);
                endif;
            endif;            
        endif;
        ?>
        <script type="text/javascript">
           $(document).ready(function(){
               $(".userform").validate({
                   rules:{
                       nome:{required:true, minlength:3},
                       email:{required:true, email:true},
                       login:{required:true, minlength:5},
                       senha:{required:true, rangelength:[4,10]},
                       senhaconf:{required:true, equalTo:"#senha"},
                   }
               });
           });
       </script>
        <form class="userform" method="post" action="">
            <fieldset>
                <legend>Informe os dados para cadastro</legend>
                <ul>
                    <li><label for="nome">Nome:</label>
                    <input type="text" size="50" name="nome" autofocus="autofocus" value="<?php echo $_POST['nome'] ?>" /></li>
                    <li><label for="email">Email:</label>
                    <input type="text" size="50" name="email" value="<?php echo $_POST['email'] ?>" /></li>
                    <li><label for="login">Login:</label>
                    <input type="text" size="35" name="login" value="<?php echo $_POST['login'] ?>" /></li>
                    <li><label for="senha">Senha:</label>
                    <input type="password" size="25" name="senha" id="senha" value="<?php echo $_POST['senha'] ?>" /></li>
                    <li><label for="senhaconf">Repita a senha:</label>
                    <input type="password" size="25" name="senhaconf" value="<?php echo $_POST['senhaconf'] ?>" /></li>
                    <li><label for="adm">Administrador:</label>
                    <input type="checkbox" name="adm" <?php if(!isAdmin()) echo 'disabled="disabled"'; if($_POST['adm']) echo 'checked="checked"'; ?> /> dar controle total ao cliente</li>
                    <li class="center">
					<input type="button" onclick="location.href='?m=clientes&t=listar'" value="Cancelar" />
					<input type="submit" name="cadastrar" value="Salvar dados" /></li>
                </ul>
            </fieldset>
        </form>
        <?php
        break;
		
///////////////////////////////////////////////////////////////////////////
    case 'listar':
        echo '<h2>Selecione um cliente.</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome</th><th>Email</th></th><th>Cadastro</th><th>Ações</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new clientes();
                $user->selecionaTudo($user);
				
                while ($res = $user->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s</td>',$res->nome);
                    printf('<td>%s</td>',$res->email);
                    printf('<td class="center">%s</td>',date("d/m/Y",strtotime($res->datacad)));
                    printf('<td class="center"> <a href="?m=amostras&t=editar&id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a> </td>',$res->id,$res->id,$res->id);
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
        
        <?php        
    break;
	
	
		/////////////////////////////////////////
    case 'editar':
        echo '<h2>Informe dados desta remessa.</h2>';
		$outraSenha=$_GET['id'];
		//echo("senhacli=$senhaCli  outrasenha=$outraSenha <br>");
		
        if (isset($_POST['cadastrar'])):
     		//acha a ultima numero de tta deste laboratorio   hihihihi
			$user = new tta(array(
		        'tta_numero'=>NULL,
		    ));
		    $user->extras_select = "WHERE id_labo=$idLabo order by tta_numero DESC; ";
		    $user->selecionaCampos($user);
		    $res = $user->retornaDados();
		    $ultimoTta=$res->tta_numero;
		    $ultimoTta++;
            echo("Número do controle de envio: $ultimoTta<br>");		
     		//acha a ultimo numero de amostra deste laboratorio   hihihihi
			$user = new amostras(array(
		        'numero'=>NULL,
		    ));
		    $user->extras_select = "WHERE id_labo=$idLabo order by numero DESC; ";
		    $user->selecionaCampos($user);
		    $res = $user->retornaDados();
		    $ultimo=$res->numero;
			$apos=$ultimo+1;
            echo("Amostras numeradas a partir de: $apos<br>");		
		
		    //echo("senhacli cadastrando=$senhaCli  outrasenha=$outraSenha  id_labo=$idLabo <br>");
			$duplicado=FALSE;
			//aqui prepara o array de inserção
			$quantidade=$_POST['qtd'];//captura a quantidade de amostras a serem registradas
            $userTta = new tta(array(
                'qtd'=>$_POST['qtd'],
                'id_cliente'=>$outraSenha,
                'id_labo'=>$idLabo,
                'id_usuario'=>$senhaCli,
                'tta_numero'=>$ultimoTta,
             ));
			
			if ($duplicado!=TRUE):
                $userTta->inserir($userTta);
				$novaId=$userTta->linhasafetadas;
                if ($userTta->linhasafetadas>0):
                    //printMSG('novaid='. $novaId.'  Dados inseridos com sucesso(amo). <a href="'.ADMURL.'?m=clientes&t=listar">Exibir cadastros</a>');
					//o registro na tabela tta foi ele ja tem a ida da tabela tta ,  agora insere na tabela amostras ele ja te a id
                    //vai fazer um loop com tantas amostras quantas for o loop
					$mensagem='Novas amostras:';
					for($i=1;$i<=$quantidade;$i++)
					{
						$sequencia=$ultimo+$i;
						$mensagem=$mensagem.$sequencia.':';
			            $userAmo = new amostras(array(
			                'tta'=>$novaId,
			                'numero'=>$sequencia,
			                'id_labo'=>$idLabo,
			             ));
		                $userAmo->inserir($userAmo);
		                if ($userAmo->linhasafetadas>0):
		                    //printMSG('Amostra gerada:'. $sequencia.'  Dados inseridos com sucesso(amo). <a href="'.ADMURL.'?m=clientes&t=listar">Exibir cadastros</a>');
		                    //unset($_POST);
		                endif;
					}
					printMSG  ($mensagem);

                    unset($_POST);
                endif;
				//ja tem a nova id da tta e vai criar o(s) regstros na tabela amostra
            endif;//testa se é duplicado 
		endif;//se é cadaatrar
		
		
        if (isAdmin()==TRUE || $sessao->getVar('iduser')==$_GET['id']):
            if (isset($_GET['id'])):
                $id = $_GET['id'];
                if (isset($_POST['editar'])):
				        echo("xxxxxxxxxxxxesta no editarccccccccccccccc <br>");
                        $user = new clientes(array(
                            'nome'=>$_POST['nome'],
                        ));
                        $user = new clientes(array(
                            'nome'=>$_POST['nome'],
                        ));


                    $user->valorpk = $id;
                    $user->extras_select = "WHERE id=$id";
                    $user->selecionaTudo($user);
                    $res = $user->retornaDados();//aqui monta a tela de edição
                endif;
                $userbd = new clientes();
                //echo("id rrrrrrrrrrrrrrrrrrr= $id <br>");
                $userbd->extras_select = "WHERE id=$id";

                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
            else:
                printMSG('cliente não definido, <a href="?m=amostras&t=listar">escolha um cliente para alterar</a>','erro');
            endif;
            ?>
            <script type="text/javascript">
               $(document).ready(function(){
                   $(".userform").validate({
                       rules:{
                           nome:{required:true, minlength:3},
                           email:{required:true, email:true},
                       }
                   });
               });
           </script>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Informe os dados para inclusão de amostras</legend>
                    <ul>
                        <li><label for="nome">Nome:</label>
                        <input type="text" size="50" name="nome" autofocus="autofocus" value="<?php if($resbd) echo $resbd->nome; ?>" /></li>
                        <li><label for="qtd">Qtd amostras:</label>
                        <input type="text" size="5" name="qtd" value="" /></li>
                        <li><label for="tipo">Tipo de análise:</label>
                        <input type="radio" name="tipo" value="Foliar" checked><i>Foliar</i>
                        <input type="radio" name="tipo" value="Solos"><i>Solos</i>
                        <input type="radio" name="tipo" value="Fertilizante" checked><i>Fertilizante</i>
                        <input type="radio" name="tipo" value="Calcario" checked><i>Calcário</i><br>
                        <li><label for="tipo">Pagamento:</label>
                        <input type="radio" name="pagamento" value="Pago" checked><i>Pagou</i>
                        <input type="radio" name="pagamento" value="naopago"><i>Não pagou</i><br>
 						
                        <li class="center">
						<input type="button" onclick="location.href='?m=amostras&t=listar'" value="Cancelar" />
						<input type="submit" name="cadastrar" value="Registrar amostras" />
						</li>
                    </ul>
                </fieldset>
            </form>
        <?php
        else:
            printMSG('Você não tem permissão para acessar esta página. <a href="#" onclick="history.back()">Voltar</a>','erro');
        endif;
    break;
	
	
	
    case 'senha':
    break;

    case 'excluir':
    break;


	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>